#include <stdio.h>
#include <conio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
// Создание элемета
struct elem{
    int num;
    elem *next;
    };
    elem *first, *cur, *tmp, *last;
    char snum[10];
 int main()
 {	 int n,k;
     srand((unsigned)time(NULL));
    n=rand()%20+10;
    // Формирование первого элемента
       first=new elem;
       first->num=rand()%25-10;
       first->next=NULL;
        last=first;
     // Формирование списка очереди
       for(int i=1;i<n;i++)
        {cur=new elem;
         cur->num=rand()%25-10;
         cur->next=NULL;
         last->next=cur;
         last=cur;
        }
puts("inputed spisok first -> last");
  cur=first;k=0;
  while(cur!=NULL)
  {printf("%4d",cur->num);
   k++;
   cur=cur->next;
  }
  printf("\n");
  printf("Number elements of spisok=%5d\n",k);
 }
